Bug 119521 - Mozilla gets confused about search after applying the latest errata
Summary: Mozilla gets confused about search after applying the latest errata
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-31 02:23 UTC by John Morris
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-09 15:34:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Morris 2004-03-31 02:23:09 UTC
Description of problem:

After installing the errata release of mozilla the search button no
longer works correctly.  Searches return a generic page at Netscape
instead of results from Google. 

Version-Release number of selected component (if applicable):
mozilla-1.4.2-3.0.2

How reproducible:

Always.

Steps to Reproduce:
1. Set your default search engine to Google.
2. Run up2date, get the latest Moz.
3. Type something into the location bar and click search.
  
Actual results:

A generic search page at Netscape.com

Expected results:

A page of results from Google.

Additional info:

Going into prefs and changing search engines to Netscape, searching
(and getting the generic page instead of results) then changing back
to Google again will fix the problem.

Comment 1 Don Buchholz 2005-07-27 17:20:28 UTC
Same problem:  Updated from mozilla-1.4.3-3.0.7 to mozilla-1.7.10-1.1.3.1
and the search engine was changed from "Google" to "Ask Jeeves".  (I seem
to remember earlier updates converting my search from Google to Netscape, too.)

Also annoying:  After saving the new search engine preference, a popup
appears telling the user it is necessary to shutdown, and restart the Mozilla
application for the preference change to take effect.  The restart is *not*
required for this change.


Comment 2 Matěj Cepl 2007-02-09 15:34:18 UTC
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version available. Therefore
closing this bug as obsolete.

If you experience this problem on the up-to-date system, please reopen this bug
with an additional information.


Note You need to log in before you can comment on or make changes to this bug.